# xarray.Dataset.reset_coords

`Dataset.``reset_coords`(names: Union[Hashable, Iterable[Hashable], None] = None, drop: bool = False, inplace: bool = None) → xarray.core.dataset.Dataset

  Given names of coordinates, reset them to become variables

  Parameters:

  - names (hashable or iterable of hashables, optional) – Name(s) of non-index coordinates in this dataset to reset into variables. By default, all non-index coordinates are reset.
  - drop (bool, optional) – If True, remove coordinates instead of converting them into variables.

  Returns: |
  Return type: | Dataset